COLCRT(1)

NAZWA
colcrt - filtruje wyjście nroff do przeglądania na CRT

SKŁADNIA

colcrt [opcje] [plik ...]

OPIS

Narzędzie użytkowe colcrt zapewnia wirtualne sekwencje wysuwu o pół wiersza i wysuwu o wiersz wstecz na terminalach bez takiej możliwości, a na których nadpisywanie znaków (overstriking) jest niszczące. Znaki połowy wiersza i podkreślenie (zmieniane na myślniki) umieszczane są w nowych wierszach pomiędzy normalnymi wierszami wyjścia.

OPCJE

-, --no-underlining
    Wstrzymuje wszelkie podkreślania. Przydatne zwłaszcza do przeglądania allboxed (obramowanych z każdej strony) tabel z tbl(1).

-2, --half-lines
    Powoduje drukowanie wszystkich półwierszy, skutkując podwojeniem odstępów międzywierszowych wyjścia. Normalnie, stosowany jest format minimalnego odstępu, co zapobiega pustym wierszom. Program jednak nigdy nie usuwa dwu kolejnych pustych wierszy. Opcja -2 przydaje się do wysyłania wyjścia na drukarkę wierszową, gdy wyjście zawiera indeksy górne i dolne, które w przeciwnym wypadku byłyby częściowo niewidoczne.

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

HISTORIA

Polecenie colcrt pojawiło się w 3.0BSD.

USTERKI

Powinno nakładać znaki podkreślenia na odstępy, nawet z opcją -, tak by był widoczny prawdziwy znak podkreślenia.

Nie potrafi tworzyć kopii (back up) więcej niż 102 wierszy.

Ogólnie nadpisywanie jest tracone; w przypadku specjalnym "|" nadpisane z "-" lub podkreśleniem staje się "+".

Wiersze przycinane są do 132 znaków.

Powinno być zrobione jakieś zabezpieczenia w przetwarzaniu indeksów górnych i dolnych w dokumentach, które już mają podwójne odstępy międzywierszowe.

PRZYKŁADY

Typowym zastosowaniem colcrt jest:

    tbl exum2.n | nroff -ms | colcrt - | more

ZOBACZ TAKŻE

col(1), more(1), nroff(1), troff(1), ul(1)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie colcrt jest częścią pakietu util-linux, który można pobrać ze strony